import 'isomorphic-fetch';
import { Project, Milestone, Issue, TimeStatus, Note } from '../models';
export declare namespace V3 {
    function getProjects(): Promise<Project[]>;
    function getProject(name: string): Promise<Project>;
    function getActiveMilestones(projectId: string): Promise<Milestone[]>;
    function getCurrentMilestone(projectId: string, date: Date): Promise<Milestone>;
    function getMilestoneIssues(projectId: string, mileStoneId: string): Promise<Issue[]>;
    function getTimeStatus(projectId: string, issueId: string): Promise<TimeStatus>;
    function getComments(projectId: string, issueId: string): Promise<Note[]>;
}
